
#ifndef _GSI_MIDI_NAMES_H
#define _GSI_MIDI_NAMES_H

char *gsi_gmvoice_names[128] = {
	/* [General MIDI] voices */
	/*   0 */ "Acoustic Grand Piano"
	/*   1 */ "Bright Acoustic Piano"
	/*   2 */ "Electric Grand Piano"
	/*   3 */ "Honky-tonk Piano"
	/*   4 */ "Rhodes Piano"
	/*   5 */ "Chorused Piano"
	/*   6 */ "Harpsichord"
	/*   7 */ "Clavinet"
	/*   8 */ "Celesta"
	/*   9 */ "Glockenspiel"
	/*  10 */ "Music Box"
	/*  11 */ "Vibraphone"
	/*  12 */ "Marimba"
	/*  13 */ "Xylophone"
	/*  14 */ "Tubular Bells"
	/*  15 */ "Dulcimer"
	/*  16 */ "Hammond Organ"
	/*  17 */ "Percussive Organ"
	/*  18 */ "Rock Organ"
	/*  19 */ "Church Organ"
	/*  20 */ "Reed Organ"
	/*  21 */ "Accordion"
	/*  22 */ "Harmonica"
	/*  23 */ "Tango Accordion"
	/*  24 */ "Acoustic Guitar (nylon)"
	/*  25 */ "Acoustic Guitar (steel)"
	/*  26 */ "Electric Guitar (jazz)"
	/*  27 */ "Electric Guitar (clean)"
	/*  28 */ "Electric Guitar (muted)"
	/*  29 */ "Overdriven Guitar"
	/*  30 */ "Distortion Guitar"
	/*  31 */ "Guitar Harmonics"
	/*  32 */ "Acoustic Bass"
	/*  33 */ "Electric Bass (finger)"
	/*  34 */ "Electric Bass (pick)"
	/*  35 */ "Fretless Bass"
	/*  36 */ "Slap Bass 1"
	/*  37 */ "Slap Bass 2"
	/*  38 */ "Synth Bass 1"
	/*  39 */ "Synth Bass 2"
	/*  40 */ "Violin"
	/*  41 */ "Viola"
	/*  42 */ "Cello"
	/*  43 */ "Contrabass"
	/*  44 */ "Tremelo Strings"
	/*  45 */ "Pizzicato Strings"
	/*  46 */ "Orchestral Harp"
	/*  47 */ "Timpani"
	/*  48 */ "String Ensemble 1"
	/*  49 */ "String Ensemble 2"
	/*  50 */ "SynthStrings 1"
	/*  51 */ "SynthStrings 2"
	/*  52 */ "Choir Aahs"
	/*  53 */ "Voice Oohs"
	/*  54 */ "Synth Voice"
	/*  55 */ "Orchestra Hit"
	/*  56 */ "Trumpet"
	/*  57 */ "Trombone"
	/*  58 */ "Tuba"
	/*  59 */ "Muted Trumpet"
	/*  60 */ "French Horn"
	/*  61 */ "Brass Section"
	/*  62 */ "Synth Brass 1"
	/*  63 */ "Synth Brass 2"
	/*  64 */ "Soprano Sax"
	/*  65 */ "Alto Sax"
	/*  66 */ "Tenor Sax"
	/*  67 */ "Baritone Sax"
	/*  68 */ "Oboe"
	/*  69 */ "English Horn"
	/*  70 */ "Bassoon"
	/*  71 */ "Clarinet"
	/*  72 */ "Piccolo"
	/*  73 */ "Flute"
	/*  74 */ "Recorder"
	/*  75 */ "Pan Flute"
	/*  76 */ "Bottle Blow"
	/*  77 */ "Shakuhachi"
	/*  78 */ "Whistle"
	/*  79 */ "Ocarina"
	/*  80 */ "Lead 1 (square)"
	/*  81 */ "Lead 2 (sawtooth)"
	/*  82 */ "Lead 3 (calliope lead)"
	/*  83 */ "Lead 4 (chiff lead)"
	/*  84 */ "Lead 5 (charang)"
	/*  85 */ "Lead 6 (voice)"
	/*  86 */ "Lead 7 (fifths)"
	/*  87 */ "Lead 8 (bass + lead)"
	/*  88 */ "Pad 1 (new age)"
	/*  89 */ "Pad 2 (warm)"
	/*  90 */ "Pad 3 (polysynth)"
	/*  91 */ "Pad 4 (choir)"
	/*  92 */ "Pad 5 (bowed)"
	/*  93 */ "Pad 6 (metallic)"
	/*  94 */ "Pad 7 (halo)"
	/*  95 */ "Pad 8 (sweep)"
	/*  96 */ "FX 1 (rain)"
	/*  97 */ "FX 2 (soundtrack)"
	/*  98 */ "FX 3 (crystal)"
	/*  99 */ "FX 4 (atmosphere)"
	/* 100 */ "FX 5 (brightness)"
	/* 101 */ "FX 6 (goblins)"
	/* 102 */ "FX 7 (echoes)"
	/* 103 */ "FX 8 (sci-fi)"
	/* 104 */ "Sitar"
	/* 105 */ "Banjo"
	/* 106 */ "Shamisen"
	/* 107 */ "Koto"
	/* 108 */ "Kalimba"
	/* 109 */ "Bagpipe"
	/* 110 */ "Fiddle"
	/* 111 */ "Shanai"
	/* 112 */ "Tinkle Bell"
	/* 113 */ "Agogo"
	/* 114 */ "Steel Drums"
	/* 115 */ "Woodblock"
	/* 116 */ "Taiko Drum"
	/* 117 */ "Melodic Tom"
	/* 118 */ "Synth Drum"
	/* 119 */ "Reverse Cymbal"
	/* 120 */ "Guitar Fret Noise"
	/* 121 */ "Breath Noise"
	/* 122 */ "Seashore"
	/* 123 */ "Bird Tweet"
	/* 124 */ "Telephone Ring"
	/* 125 */ "Helicopter"
	/* 126 */ "Applause"
	/* 127 */ "Gunshot"

};

char *gsi_gmdrum_names[] = {
	/* [General MIDI Drums] */
	/*   0 */ NULL,
	/*   1 */ NULL,
	/*   2 */ NULL,
	/*   3 */ NULL,
	/*   4 */ NULL,
	/*   5 */ NULL,
	/*   6 */ NULL,
	/*   7 */ NULL,
	/*   8 */ NULL,
	/*   9 */ NULL,
	/*  10 */ NULL,
	/*  11 */ NULL,
	/*  12 */ NULL,
	/*  13 */ NULL,
	/*  14 */ NULL,
	/*  15 */ NULL,
	/*  16 */ NULL,
	/*  17 */ NULL,
	/*  18 */ NULL,
	/*  19 */ NULL,
	/*  20 */ NULL,
	/*  21 */ NULL,
	/*  22 */ NULL,
	/*  23 */ NULL,
	/*  24 */ NULL,
	/*  25 */ NULL,
	/*  26 */ NULL,

	/*  27 */ NULL, /* highq=? */
	/*  28 */ NULL, /* slap */
	/*  29 */ NULL, /* scratch1 */
	/*  30 */ NULL, /* scratch2 */
	/*  31 */ NULL, /* sticks */
	/*  32 */ NULL, /* sqrclick */
	/*  33 */ NULL, /* metclick */
	/*  34 */ NULL, /* metbell */

	/*  35 */ "Acoustic Bass Drum",
	/*  36 */ "Bass Drum 1",
	/*  37 */ "Side Kick",
	/*  38 */ "Acoustic Snare",
	/*  39 */ "Hand Clap",
	/*  40 */ "Electric Snare",
	/*  41 */ "Low Floor Tom",
	/*  42 */ "Closed High-Hat",
	/*  43 */ "High Floor Tom",
	/*  44 */ "Pedal High Hat",
	/*  45 */ "Low Tom",
	/*  46 */ "Open High Hat",
	/*  47 */ "Low-Mid Tom",
	/*  48 */ "High-Mid Tom",
	/*  49 */ "Crash Cymbal 1",
	/*  50 */ "High Tom",
	/*  51 */ "Ride Cymbal 1",
	/*  52 */ "Chinese Cymbal",
	/*  53 */ "Ride Bell",
	/*  54 */ "Tambourine",
	/*  55 */ "Splash Cymbal",
	/*  56 */ "Cowbell",
	/*  57 */ "Crash Cymbal 2",
	/*  58 */ "Vibrastrap",
	/*  59 */ "Ride Cymbal 2",
	/*  60 */ "High Bongo",
	/*  61 */ "Low Bongo",
	/*  62 */ "Mute High Conga",
	/*  63 */ "Open High Conga",
	/*  64 */ "Low Conga",
	/*  65 */ "High Timbale",
	/*  66 */ "Low Timbale",
	/*  67 */ "High Agogo",
	/*  68 */ "Low Agogo",
	/*  69 */ "Cabasa",
	/*  70 */ "Maracas",
	/*  71 */ "Short Whistle",
	/*  72 */ "Long Whistle",
	/*  73 */ "Short Guiro",
	/*  75 */ "Claves",
	/*  76 */ "High Wood Block",
	/*  77 */ "Low Wood Block",
	/*  78 */ "Mute Cuica",
	/*  79 */ "Open Cuica",
	/*  80 */ "Mute Triangle",
	/*  81 */ "Open Triangle",
	/*  82 */ NULL, /* shaker */
	/*  83 */ NULL,
	/*  84 */ NULL,
	/*  85 */ NULL,
	/*  86 */ NULL,
	/*  87 */ NULL, /* surdo2 */

	/*  88 */ NULL,
	/*  89 */ NULL,
	/*  90 */ NULL,
	/*  91 */ NULL,
	/*  92 */ NULL,
	/*  93 */ NULL,
	/*  94 */ NULL,
	/*  95 */ NULL,
	/*  96 */ NULL,
	/*  97 */ NULL,
	/*  98 */ NULL,
	/*  99 */ NULL,
	/* 100 */ NULL,
	/* 101 */ NULL,
	/* 102 */ NULL,
	/* 103 */ NULL,
	/* 104 */ NULL,
	/* 105 */ NULL,
	/* 106 */ NULL,
	/* 107 */ NULL,
	/* 108 */ NULL,
	/* 109 */ NULL,
	/* 110 */ NULL,
	/* 111 */ NULL,
	/* 112 */ NULL,
	/* 113 */ NULL,
	/* 114 */ NULL,
	/* 115 */ NULL,
	/* 116 */ NULL,
	/* 117 */ NULL,
	/* 118 */ NULL,
	/* 119 */ NULL,
	/* 120 */ NULL,
	/* 121 */ NULL,
	/* 122 */ NULL,
	/* 123 */ NULL,
	/* 124 */ NULL,
	/* 125 */ NULL,
	/* 126 */ NULL,
	/* 127 */ NULL,

};
#endif /* _GSI_MIDI_NAMES_H */
